#!/bin/bash

#test2.sh


OUTGOING_DIR=/var/spool/voice/messages
INCOMING_DIR=/var/spool/voice/incoming
STARTING_DATETIME=`/bin/date +%Y%b%d_%H-%M-%S%Z`
PATH=$PATH:/usr/local/bin
MESSAGES_DIR=/var/spool/voice/messages
FLAG_FILE=/var/spool/voice/newmail.flag
SCRIPT_DIR=/var/spool/voice/scripts
NUMBER_OF_USERS=4
ZERO=0


# ============================================================
# this function checks to see if anybody has any mail
# ============================================================
function voicemail_yes_no {

	if [ -f $FLAG_FILE ]; then
		parse_users;	# if there is mail, parse the user directories
		rm -f $FLAG_FILE; #after parsing the users, there isn't mail anymore! 
	else
		logger -t "e-vmail[$$]" "no flag file found"
		exit 1;
	fi

}

function parse_users {

	logger -t "test" "here";


	while [ $(($NUMBER_OF_USERS > $ZERO)) = 1 ];
	do
	  cd $INCOMING_DIR/$NUMBER_OF_USERS
	  NUM_TO_CONVERT=`ls -l *.rmd | wc -l | $SCRIPT_DIR/numberecho`
	  for i in *.rmd; do
	   	if [ $(($NUM_TO_CONVERT > $ZERO)) = 1 ]; then
	   		logger -t "e-vmail[$$]" "i is $i num is $NUM_TO_CONVERT"
	   	else
	   		logger -t "nope" "i is $i num is $NUM_TO_CONVERT";
	   	fi;
	  done;
	  
		NUMBER_OF_USERS=$(($NUMBER_OF_USERS-1));
	done;	


}


voicemail_yes_no;
